LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::datatransfer::dnd::DNDConstants Constant Group Referencepublished

These values represent the type of action or actions to be performed by a Drag and Drop operation. More...

## Variables
const byte | ACTION_NONE = 0x00
| No action. More...
const byte | ACTION_COPY = 0x01
| Action copy. More...
const byte | ACTION_MOVE = 0x02
| Action move. More...
const byte | ACTION_COPY_OR_MOVE = 0x03
| Action copy or move. More...
const byte | ACTION_LINK = 0x04
| Action link. More...
const byte | ACTION_REFERENCE = 0x04
| Action reference. More...
const byte | ACTION_DEFAULT = -0x80
| Action default. More...

## Detailed Description

These values represent the type of action or actions to be performed by a Drag and Drop operation.

## Variable Documentation

## ◆ ACTION_COPY

const byte ACTION_COPY = 0x01

Action copy.

## ◆ ACTION_COPY_OR_MOVE

const byte ACTION_COPY_OR_MOVE = 0x03

Action copy or move.

## ◆ ACTION_DEFAULT

const byte ACTION_DEFAULT = -0x80

Action default.

## ◆ ACTION_LINK

const byte ACTION_LINK = 0x04

Action link.

## ◆ ACTION_MOVE

const byte ACTION_MOVE = 0x02

Action move.

## ◆ ACTION_NONE

const byte ACTION_NONE = 0x00

No action.

## ◆ ACTION_REFERENCE

const byte ACTION_REFERENCE = 0x04

Action reference.